Bug 1279979 - tftpboot files are not deleted when OS name is changed
tftpboot files are not deleted when OS name is changed
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates (Show other bugs)
6.1.3
All Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Ohad Levy
Katello QA List
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks: 1287901
  Show dependency treegraph
 
Reported: 2015-11-10 10:59 EST by Jacob Hunt
Modified: 2017-08-25 05:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12474 None None None 2016-04-26 12:56 EDT

  None (edit)
Description Jacob Hunt 2015-11-10 10:59:32 EST
Description of problem:

If an OS is changed or renamed to a name a different OS had the boot files in /var/lib/tftpboot/boot are not deleted. 

We have two OSs RedHat 6.6 server and RedHat 6.6 Workstation. When creating an OS we are only able to specify Name = RedHat, Major Version = 6, Minor Version = 6 but we cannot do that because the names conflict. Instead we have named our server version RedHat and workstation version RedHat-1. We found out that this caused an error so we switch the names. Now server is RedHat-1 and workstation is RedHat. However when we try to build a workstation or server it was kernel panicing. The solution was to remove the files in /var/lib/tftpboot/boot so they would be re-cached from the installation media the next time a machine is going to be built. The deletion of those files should happen automatically when the OS name is change. There also should be a way to specify the flavor or version or even distid from factor so we can differentiate our OS types.

Version-Release number of selected component (if applicable):

Satellite 6.1.3
Comment 2 Bryan Kearney 2015-11-13 11:50:07 EST
Created redmine issue http://projects.theforeman.org/issues/12474 from this bug
Comment 3 Bryan Kearney 2015-11-16 04:01:33 EST
Upstream bug component is TFTP
Comment 6 Bryan Kearney 2016-08-10 15:10:55 EDT
Upstream bug component is Provisioning Templates
Comment 7 Bryan Kearney 2016-08-10 16:11:56 EDT
Upstream bug component is TFTP
Comment 8 Bryan Kearney 2016-08-10 18:11:40 EDT
Upstream bug component is Provisioning Templates

Note You need to log in before you can comment on or make changes to this bug.